package com.bonus.core.pay.common.dto.third;

import io.swagger.annotations.ApiModelProperty;

public class ThirdPaySupportDTO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("支付类型 必传 参考PayTypeEnum")
   private Integer payType;
   @ApiModelProperty("是否在线支付 1 是 2 否 必传")
   private Integer onlineState;
   @ApiModelProperty("来源类型 必传")
   private Integer sourceType;
   @ApiModelProperty("人员id  刷脸时必传")
   private Long custId;
   @ApiModelProperty("第三方人员id  刷脸时必传")
   private String custThirdId;
   @ApiModelProperty("人员编号  刷脸时必传")
   private String custNum;
   @ApiModelProperty("设备SN  设备下单必传")
   private String machineSn;
   @ApiModelProperty("设备编号  设备下单必传")
   private String machineNum;
   @ApiModelProperty("核身方式  设备下单必传")
   private Integer nuClearMode;
   @ApiModelProperty("卡序列号（物理卡号） 刷卡支付时必传")
   private String serialNum;
   @ApiModelProperty("第三方卡序列号（物理卡号） 刷卡支付时必传")
   private String thirdSerialNum;
   @ApiModelProperty("二维码信息 扫码支付时必传")
   private String authCode;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getOnlineState() {
      return this.onlineState;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMachineNum() {
      return this.machineNum;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getThirdSerialNum() {
      return this.thirdSerialNum;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setOnlineState(final Integer onlineState) {
      this.onlineState = onlineState;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMachineNum(final String machineNum) {
      this.machineNum = machineNum;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setThirdSerialNum(final String thirdSerialNum) {
      this.thirdSerialNum = thirdSerialNum;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

}
